config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

# Reload messagebus service
if [ -x etc/rc.d/rc.messagebus ]; then
  chroot . /etc/rc.d/rc.messagebus reload
fi

( cd usr/share/doc/HTML/en/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/en/smb4k ; ln -sf /usr/share/doc/HTML/en/common common )
( cd usr/share/doc/HTML/pt_BR/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/pt_BR/smb4k ; ln -sf /usr/share/doc/HTML/pt_BR//common common )
( cd usr/share/doc/HTML/sv/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/sv/smb4k ; ln -sf /usr/share/doc/HTML/sv//common common )
( cd usr/share/doc/HTML/et/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/et/smb4k ; ln -sf /usr/share/doc/HTML/et//common common )
( cd usr/share/doc/HTML/es/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/es/smb4k ; ln -sf /usr/share/doc/HTML/es//common common )
( cd usr/share/doc/HTML/uk/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/uk/smb4k ; ln -sf /usr/share/doc/HTML/uk//common common )
( cd usr/share/doc/HTML/nl/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/nl/smb4k ; ln -sf /usr/share/doc/HTML/nl//common common )
( cd usr/share/doc/HTML/de/smb4k ; rm -rf common )
( cd usr/share/doc/HTML/de/smb4k ; ln -sf /usr/share/doc/HTML/de//common common )
( cd usr/lib ; rm -rf libsmb4kcore.so )
( cd usr/lib ; ln -sf libsmb4kcore.so.4 libsmb4kcore.so )
( cd usr/lib ; rm -rf libsmb4kcore.so.4 )
( cd usr/lib ; ln -sf libsmb4kcore.so.4.2.0 libsmb4kcore.so.4 )
